Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Protected Member Functions | Properties | List of all members
TreeNodeBase Class Referenceabstract

Base class of Behavior Tree's node. More...

Inheritance diagram for TreeNodeBase:

## Public Member Functions
| TreeNodeBase (NodeGraph nodeGraph, int nodeID)
| TreeNodeBase constructor More...
abstract bool | HasParentLinkSlot ()
| Whether this node has a NodeLinkSlot to parent. More...
virtual NodeLinkSlot | GetParentLinkSlot ()
| Get NodeLinkSlot to parent. More...
abstract bool | HasChildLinkSlot ()
| Whether this node has a NodeLinkSlot to child. More...
override bool | IsDeletable ()
| Returns whether or not it can be deleted. More...
override string | ToString ()
| Convert node to string (for debugging). More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Node constructor More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| Check if it contains NodeBehaviour. More...
virtual string | GetName ()
| Get node name. More...
override string | ToString ()
| Convert node to string (for debugging). More...

## Protected Member Functions
abstract void | OnExecute ()
| Called when executing. More...
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Called when the NodeGraph to which the Node belongs has changed. More...

## Properties
bool | enablePriority`[get]`
| Returns true if it is traced from the root node and connected. More...
int | priority`[get]`
| The priority of the node. More...
BehaviourTreeInternal | behaviourTree`[get]`
| Gets the behaviour tree. More...
TreeNodeBase | parentNode`[get]`
| Get parent node. More...
NodeStatus | status`[get]`
| The state of the node. More...
bool | isActive`[get]`
| Returns true if it is active. More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...

## Additional Inherited Members
Public Attributes inherited from Node
Rect | position
| Position on the Arbor Editor. More...
bool | showComment
| Whether to display comments More...
string | nodeComment
| Comment More...

## Detailed Description

Base class of Behavior Tree's node.

## Constructor & Destructor Documentation

## ◆ TreeNodeBase()

TreeNodeBase | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

TreeNodeBase constructor

Parameters

  nodeGraph | NodeGraph with this node
  nodeID | Node ID

## Member Function Documentation

## ◆ GetParentLinkSlot()

virtual NodeLinkSlot GetParentLinkSlot | ( |  | ) |
| virtual

Get NodeLinkSlot to parent.

Returns
  NodeLinkSlot to parent

Reimplemented in CompositeNode, and ActionNode.

## ◆ HasChildLinkSlot()

abstract bool HasChildLinkSlot | ( |  | ) |
| pure virtual

Whether this node has a NodeLinkSlot to child.

Returns
  True if it has a NodeLinkSlot to child, false otherwise.

Implemented in CompositeNode, ActionNode, and RootNode.

## ◆ HasParentLinkSlot()

abstract bool HasParentLinkSlot | ( |  | ) |
| pure virtual

Whether this node has a NodeLinkSlot to parent.

Returns
  True if it has a NodeLinkSlot to parent, false otherwise.

Implemented in CompositeNode, RootNode, and ActionNode.

## ◆ IsDeletable()

override bool IsDeletable | ( |  | ) |
| virtual

Returns whether or not it can be deleted.

Returns
  Returns true if it can be deleted.

Reimplemented from Node.

## ◆ OnExecute()

abstract void OnExecute | ( |  | ) |
| protected pure virtual

Called when executing.

Implemented in CompositeNode, RootNode, and ActionNode.

## ◆ ToString()

override string ToString | ( |  | ) |

Convert node to string (for debugging).

Returns
  Converted string

## Property Documentation

## ◆ behaviourTree

BehaviourTreeInternal behaviourTree
| get

Gets the behaviour tree.

## ◆ enablePriority

bool enablePriority
| get

Returns true if it is traced from the root node and connected.

## ◆ isActive

bool isActive
| get

Returns true if it is active.

## ◆ parentNode

TreeNodeBase parentNode
| get

Get parent node.

## ◆ priority

int priority
| get

The priority of the node.

## ◆ status

NodeStatus status
| get

The state of the node.